﻿<div ng-app="myApp.suggestions" style="display:flex; justify-content:center; align-items: center; flex-flow:column nowrap">
    <div ng-controller="SuggestionsCtrl" style="width:675px;" >
        <h1>Vooban Coding Challenge</h1>
        <table class="table table-bordered table-condensed table-striped">
            <tr>
                <td style="vertical-align:middle">Rechercher des villes :</td>
                <td style="width:70%">
                    <input type="text" class="form-control" ng-model="filterValue" ng-change="getSearchCities()" />
                </td>
            </tr>
        </table>
        <table class="table table-bordered table-condensed table-striped">
            <thead>
                <tr>
                    <th style="width:150px">Ville</th>
                    <th>Pays</th>
                    <th>Province/État</th>
                    <th>Latitude</th>
                    <th>Longitude</th>
                    <th style="width:150px">Score</th>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat="city in Cities.Suggestions">
                    <td style="width:150px">{{city.Name}}</td>
                    <td>{{city.Country}}</td>
                    <td>{{city.StateProv}}</td>
                    <td>{{city.Lat}}</td>
                    <td>{{city.Long}}</td>
                    <td style="width:150px">{{city.Score}}</td>
                </tr>
            </tbody>
        </table>
        <span>{{Message}}</span>
    </div>
</div>